Skip to content

Get Project

v2_projects.get(strproject_id, V2ProjectGetParams**kwargs) -> V2ProjectGetResponse
GET/api/v2/projects/{project_id}

Get a project by ID.

ParametersExpand Collapse
project_id: str
organization_id: Optional[str]
ReturnsExpand Collapse
class V2ProjectGetResponse:

API response schema for a project.

id: str

The project’s unique identifier.

name: str

The project’s display name.

organization_id: str

The organization the project belongs to.

created_at: Optional[datetime]

Creation datetime

formatdate-time
is_default: Optional[bool]

Whether this project is the default project for its organization.

updated_at: Optional[datetime]

Update datetime

formatdate-time

Get Project

import os
from llama_cloud import LlamaCloud

client = LlamaCloud(
    api_key=os.environ.get("LLAMA_CLOUD_API_KEY"),  # This is the default and can be omitted
)
v2_project = client.v2_projects.get(
    project_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(v2_project.id)
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/